""" on utilise Phyfox pour générer une trajectoire et
	l'exporter au format csv """
	
import folium
import webbrowser

#   modifier ce nom du fichier à télécharger selon vos besoins
nom_fichier_csv = "Localisation GPS 2024-03-12 15-47-44.csv"

#   ouverture du fichier de données gps créé par phyphox
f = open( nom_fichier_csv)

#   affichage de l'entete du fichier csv
entete = f.readline().split(',')
print( entete )

#   création de la liste de coordonnées
liste_coordonnees_trajectoire = []

#   remplissage de la liste de coordonnées
l = f.readline()
while l !="":
	donnees = l.split(',')	
	lat = float(donnees[1])	 # latitude  = colonne 2
	lon = float(donnees[2])  # longitude = colonne 3
	liste_coordonnees_trajectoire.append( (lat,lon) )
	l = f.readline()

#   le point d'arrivée est le dernier point de la liste
point_arrivee = liste_coordonnees_trajectoire[-1]

# 	création d'une carte centrée sur le point d'arrivée
m = folium.Map(location=point_arrivee, zoom_start=18,  max_zoom = 20,  control_scale=True ) 

#   génération du dessin de la trajectoire
folium.PolyLine(liste_coordonnees_trajectoire, color="#FF0000" , weight=2 ).add_to(m)

# 	popup pour lire les coordonnées sur la carte
m.add_child(folium.LatLngPopup())

# 	génération de la carte
m.save("plan.html")

# 	affichage de la carte dans un navigateur
webbrowser.open("plan.html", new=1)

